<script>
	const bgAudioMannager = uni.getBackgroundAudioManager();
	const platform=uni.getSystemInfoSync().platform;
	const time='';
	import {newsRemind} from "@/utils/api/api.js";//获取商家消息
	export default {
	
		onLaunch: function() {
	
			if(platform=='ios'){
				bgAudioMannager.title = '您已进入鹿马商家助手...';
				bgAudioMannager.singer = '小马将为你进行实时播报语音';
				bgAudioMannager.coverImgUrl = 'https://runimg.jxdsy.cn/bank/logo.png';
				bgAudioMannager.src = 'https://runimg.jxdsy.cn/bank/1703.mp3';
				bgAudioMannager.play();
				bgAudioMannager.onEnded((res)=>{ //自然播放完毕
					bgAudioMannager.pause(); //pause 暂停
				});
			}
			
			// #ifdef APP-PLUS	
			//app关闭默认的启动 方法关闭启动图。但是这个时间不能太晚，6s 超时后依旧会主动关闭。
			setTimeout(()=>{
				plus.navigator.closeSplashscreen();
				
			},100);
			uni.getNetworkType({ //查看是否有网络
			    success: function (res) {
					if(res.networkType=='none'){
						uni.showModal({
							title:'温馨提示',
							content:'检测到当前未打开网络,请打开网络',
							showCancel:false
						})
						
					}else if(res.networkType=='2g'||res.networkType=='3g'){
						uni.showModal({
							title:'温馨提示',
							content:'检测当前为'+res.networkType+'网络,网速较慢可能造成卡顿',
							showCancel:false
						})
					}
			    }
			});
			// #endif
			
			
			
			
		},

		computed: {
			userInfo(){
				return this.$store.state.userInfo;
			}
		},
		methods:{	
			// hgServiceFun(){
			// 		const hgService = uni.requireNativePlugin("HG-Background"); //初始化
			// 		hgService.config({
			// 		    title:"鹿马商家助手",
			// 		    content:"小鹿正在为您进行实时播报...",
			// 		    mode: 1, //0省电模式 1流氓模式
			// 		});
					
			// 		var rsult=hgService.checkIfLimited(); //检测是否限制后台运行
					
			// 		if(rsult.isLimit){ //限制了后台运行
			// 			hgService.requestIgnoreLimit();  //申	请
						
			// 		}
			// 			// console.log('没有限制');
			// 		hgService.startService();  //启动前台服务 
			// 			// hgService.showSafeSetting();//打开安全管理 支持小米，华为，锤子，opp,vivo,三星，乐视，魅族
					
			// 		//var globalEvent = uni.requireNativePlugin('globalEvent');    //全局事件回调     任务启动时间，会有一定延时 一般一分钟内。
			// },
			
			hgServiceFun(){
				
				const pushLive = uni.requireNativePlugin('push-live');
				 pushLive.startService({ //启动服务
				  title: "鹿马商家助手",
				  content: "小鹿正在为您进行实时播报...",
				  mode: 1  //0省电模式 1流氓模式
				 }, function(res) {
					// console.log(res,111111111111111111)
				 });
				     
				pushLive.isIgnoringBatteryOptimizations(function(res) { //是否添加到白名单中
					console.log(res)
					if(res.flag){ //添加进去了
						//pushLive.gotoWhiteListSetting();
					}else{
						pushLive.requestIgnoreBatteryOptimizations(); //申请加入白名单
						// console.log(222222222222222222222222222222222222)
					}
					
				})
				
				
				// var globalEvent = uni.requireNativePlugin('globalEvent');
				// globalEvent.addEventListener('doJobEvent', function() {
				// 	console.log("我被定时启动了。。。。。。。。。。。。。。。。。")
				// });
			},
		
			//获取 语音消息
			async getnewsRemind(type){
				var date = new Date();
				let hours = date.getHours();//当前 时间 小时
				let datestime = 5000;//默认15秒
				
				if(this.$store.state.token!=""){//判断是否 已登录
					
					//#ifdef APP-PLUS
					let cid =  plus.push.getClientInfo().clientid
					//#endif
					console.log('这里')
					let res = await newsRemind({
						uid:this.$store.state.userInfo.user_id,
						cid:cid
					});
					
					if(res.code==0){
						
						console.log('有语音','--------',res);
						
						if(res.data.length!=0){
							let KJres = res.data.filter(item =>{ //快捷支付
								return item.type==3 || item.type==0
							})
							
							let PSres = res.data.filter(item => { //订单
								return item.type==4 || item.type==5 || item.type==6 || item.type==1
							})
							
							if(platform=='ios'){
								if(bgAudioMannager.paused){ //没有播放或者暂停了播放
									if(PSres.length!=0){
										bgAudioMannager.src = 'https://runimg.jxdsy.cn/bank/run.mp3';
										bgAudioMannager.seek({position:0});  
										bgAudioMannager.play();
										bgAudioMannager.onEnded((res)=>{ //自然播放完毕
											bgAudioMannager.pause(); //pause 暂停
										})
									}
									if(KJres.length!=0){   
										bgAudioMannager.src = 'https://runimg.jxdsy.cn/bank/run.mp3';
										bgAudioMannager.seek({position:0});
										bgAudioMannager.play();
										bgAudioMannager.onEnded((res)=>{ //自然播放完毕
											bgAudioMannager.pause(); //pause 暂停
										})
									}
								}
							}else{
								if(PSres.length!=0 && KJres.length!=0){
									let msgtext = `你有${PSres.length}条鹿马订单,请及时处理`;
									if(this.$store.state.isvoice){
										this.$store.dispatch('AudioVoice',msgtext).then((e) => {
											uni.vibrateLong();//震动 调用//400ms//长震动
											setTimeout(()=>{
												let payText =""
												KJres.map(item=>{
													payText = payText+","+ item.contents
												})
												if(this.$store.state.isvoice){
													this.$store.dispatch('AudioVoice',payText).then((e) => {
														uni.vibrateLong();//震动 调用//400ms//长震动
													})
												}
											},4000)
										})
									}
								}else{
									if(PSres.length!=0){
										let msgtext = `你有${PSres.length}条鹿马订单,请及时处理`;
										console.log('商城语音播报')
										if(this.$store.state.isvoice){
											this.$store.dispatch('AudioVoice',msgtext).then((e) => {
												uni.vibrateLong();//震动 调用//400ms//长震动
											})
										}
									}
									
									if(KJres.length!=0){
										let payText =""
										
										KJres.map(item=>{
											payText = payText+","+ item.contents
										});
										console.log('快捷支付播报')
										if(this.$store.state.isvoice){
											this.$store.dispatch('AudioVoice',payText).then((e) => {
												uni.vibrateLong();//震动 调用//400ms//长震动
											})
										}
									}
								}
								
							}
						}
						if(type!=2){
							return true;
						}
						
					}
						
				}
			},
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
    @import "colorui/main.css";
    @import "colorui/icon.css";
    @import "./common/uni.css";
	
	@import './common/qiun.css';
	@import './style.css';//我的
</style>